Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Interface DeployManager

public interface DeployManager
extends javax.ejb.EJBObject

Remote interface for the DeployManager EJB, used to interact with the WLAI deploy facilities.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `deployApplicationView(IApplicationViewDescriptor avd, boolean allowRebind, boolean persistent)` Deploy the given connection factory deployment descriptor, given by the avd argument, to the WLAI server.
`void` | `deployConnectionFactory(IConnectionFactoryDescriptor cfd, boolean allowRebind, boolean persistent)` Deploy the given connection factory deployment descriptor, given by the cfd argument, to the WLAI server.
`AdapterInfo` | `getAdapterInfo(java.lang.String strAppName)`
`IApplicationViewDescriptor` | `getApplicationViewDeploymentDescriptor(QualifiedName appViewName)` Get the application view deployment descriptor for the given application view.
`AppViewRuntimeInfo[]` | `getApplicationViewRuntimeInfoForCluster()` Returns runtime info for deployed application views for the entire cluster.
`IConnectionFactoryDescriptor` | `getConnectionFactoryDeploymentDescriptor(QualifiedName name)` Get the connection factory deployment descriptor for the given connection factory name.
`boolean` | `isApplicationViewDeployed(QualifiedName qualifiedName)` Indicates whether an ApplicationView with the given qualified name has been deployed within the WLAI engine.
`boolean` | `isApplicationViewDeployUndeployAllowed(IApplicationViewDescriptor avd, QualifiedName appViewName, boolean deployFlag)` Checks login principal for access to the named application view
`boolean` | `isConnectionFactoryDeployed(QualifiedName qualifiedName)` Indicates whether a Connection Factory with the given qualified name has been deployed within the WLAI engine.
`AdapterInfo[]` | `listDeployedAdapters()` List the deployed adapters in the system.
`IApplicationViewDescriptor` | `undeployApplicationView(QualifiedName appViewName, boolean force, boolean persistent)` Undeploy the application view with the given name from the WLAI server.
`IConnectionFactoryDescriptor` | `undeployConnectionFactory(QualifiedName name, boolean force, boolean persistent)` Undeploy the connection factory with the given name from the WLAI server.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### deployConnectionFactory

    public void deployConnectionFactory(IConnectionFactoryDescriptor cfd,
                                        boolean allowRebind,
                                        boolean persistent)
                                 throws DeploymentException,
                                        DocumentException,
                                        java.rmi.RemoteException

  Deploy the given connection factory deployment descriptor, given by the cfd argument, to the WLAI server.

  Parameters:
    `cfd` - The deployment descriptor
    `allowRebind` - If true, existing deployments using the same JNDI name may be overwritten with this deployment. Otherwise, an exception is thrown if the JNDI name is already in use.
    `persistent` - Indicates whether the server should treat this deployment as an ongoing startup deployment the next time the server starts. If false, this deployment only exists for the life of the server.
  Throws:
    DeploymentException - If any communication error with the servlet occurs, or the deployment fails for any reason.
    DocumentException - If any error occurs while manipulating the deployment descriptor document.
    java.rmi.RemoteException - If an RMI communication error occurs.

### deployApplicationView

    public void deployApplicationView(IApplicationViewDescriptor avd,
                                      boolean allowRebind,
                                      boolean persistent)
                               throws DeploymentException,
                                      DocumentException,
                                      java.rmi.RemoteException

  Deploy the given connection factory deployment descriptor, given by the avd argument, to the WLAI server.

  Parameters:
    `avd` - The deployment descriptor document
    `allowRebind` - If true, existing deployments using the same JNDI name may be overwritten with this deployment. Otherwise, an exception is thrown if the JNDI name is already in use.
    `persistent` - Indicates whether the server should treat this deployment as an ongoing startup deployment the next time the server starts. If false, this deployment only exists for the life of the server.
  Throws:
    DeploymentException - If any communication error with the servlet occurs, or the deployment fails for any reason.
    DocumentException - If any error occurs while manipulating the deployment descriptor document.
    java.rmi.RemoteException - If an RMI communication error occurs.

### undeployConnectionFactory

    public IConnectionFactoryDescriptor undeployConnectionFactory(QualifiedName name,
                                                                  boolean force,
                                                                  boolean persistent)
                                                           throws DeploymentException,
                                                                  DocumentException,
                                                                  DocumentParseException,
                                                                  java.rmi.RemoteException

  Undeploy the connection factory with the given name from the WLAI server.

  Parameters:
    `name` - The name (not JNDI name) of the connection factory to undeploy.
    `persistent` - Indicates whether the server should remove this deployment from the ongoing startup deployments. If false, and this deployment is persistent, the connection factory will be removed from the current runtime deployments, but will still be deployed on startup the next time the server starts. If true, this deployment is removed from the current runtime deployments AND is removed from the ongoing startup deployments.
    `force` - If true, this connection factory will be undeployed regardless of whether any user is currently using it or not.
  Returns:
    The existing deployment descriptor that was just undeployed.
  Throws:
    DeploymentException - If any communication error with the servlet occurs, or the undeployment fails for any reason.
    DocumentException - If any error occurs while manipulating the deployment descriptor document.
    DocumentParseException - If any error occurs while parsing the existing deployment descriptor document for return from this method.
    java.rmi.RemoteException - If an RMI communication error occurs.

### isConnectionFactoryDeployed

    public boolean isConnectionFactoryDeployed(QualifiedName qualifiedName)
                                        throws DeploymentException,
                                               NamespaceException,
                                               java.rmi.RemoteException

  Indicates whether a Connection Factory with the given qualified name has been deployed within the WLAI engine.

  Parameters:
    `name` - The name of the Connection Factory to check for.
  Returns:
    True if the Connection Factory with the given name has been deployed, false otherwise.
  Throws:
    DeployException - If any error occurs accessing deployment information.
    NamespaceException - If any namespace access error occurs.
    java.rmi.RemoteException - If an RMI communication error occurs.

### undeployApplicationView

    public IApplicationViewDescriptor undeployApplicationView(QualifiedName appViewName,
                                                              boolean force,
                                                              boolean persistent)
                                                       throws DeploymentException,
                                                              DocumentException,
                                                              DocumentParseException,
                                                              java.rmi.RemoteException

  Undeploy the application view with the given name from the WLAI server.

  Parameters:
    `appViewName` - The application view to undeploy
    `Indicates` - whether the server should remove this deployment from the ongoing startup deployments. If false, and this deployment is persistent, the connection factory will be removed from the current runtime deployments, but will still be deployed on startup the next time the server starts. If true, this deployment is removed from the current runtime deployments AND is removed from the ongoing startup deployments.
    `force` - If true, this application view will be undeployed regardless of whether any user is currently using it or not.
  Returns:
    The existing deployment descriptor that was just undeployed.
  Throws:
    DeploymentException - If any communication error with the servlet occurs, or the undeployment fails for any reason.
    DocumentException - If any error occurs while manipulating the deployment descriptor document.
    DocumentParseException - If any error occurs while parsing the existing deployment descriptor document for return from this method.
    java.rmi.RemoteException - If an RMI communication error occurs.

### getApplicationViewRuntimeInfoForCluster

    public AppViewRuntimeInfo[] getApplicationViewRuntimeInfoForCluster()
                                                                 throws java.rmi.RemoteException

  Returns runtime info for deployed application views for the entire cluster.

  Returns:
    an array of AppViewRuntimeInfo objects
  Throws:
    java.rmi.RemoteException -

### isApplicationViewDeployed

    public boolean isApplicationViewDeployed(QualifiedName qualifiedName)
                                      throws DeploymentException,
                                             NamespaceException,
                                             java.rmi.RemoteException

  Indicates whether an ApplicationView with the given qualified name has been deployed within the WLAI engine.

  Parameters:
    `name` - The name of the ApplicationView to check for.
  Returns:
    True if the ApplicationView with the given name has been deployed, false otherwise.
  Throws:
    DeployException - If any error occurs accessing deployment information.
    NamespaceException - If any namespace access error occurs.
    java.rmi.RemoteException - If an RMI communication error occurs.

### isApplicationViewDeployUndeployAllowed

    public boolean isApplicationViewDeployUndeployAllowed(IApplicationViewDescriptor avd,
                                                          QualifiedName appViewName,
                                                          boolean deployFlag)
                                                   throws java.rmi.RemoteException

  Checks login principal for access to the named application view

  Parameters:
    `avd` - application view descriptor.
    `appViewName` - qualified name for the application view
    `deployFlag` - true if deploying otherwise false
  Returns:
    True if the user has write access to the named application view.
  Throws:
    java.rmi.RemoteException - If an RMI communication error occurs.

### getConnectionFactoryDeploymentDescriptor

    public IConnectionFactoryDescriptor getConnectionFactoryDeploymentDescriptor(QualifiedName name)
                                                                          throws DeploymentException,
                                                                                 DocumentException,
                                                                                 DocumentParseException,
                                                                                 java.rmi.RemoteException

  Get the connection factory deployment descriptor for the given connection factory name.

  Parameters:
    `name` - The name (not JNDI name) of the connection factory to retrieve the deployment descriptor for.
  Returns:
    The existing deployment descriptor.
  Throws:
    DeploymentException - If any communication error with the servlet occurs, or the retrieval fails for any reason.
    DocumentException - If any error occurs while manipulating the deployment descriptor document.
    DocumentParseException - If any error occurs while parsing the existing deployment descriptor document for return from this method.
    java.rmi.RemoteException - If an RMI communication error occurs.

### getApplicationViewDeploymentDescriptor

    public IApplicationViewDescriptor getApplicationViewDeploymentDescriptor(QualifiedName appViewName)
                                                                      throws DeploymentException,
                                                                             DocumentException,
                                                                             DocumentParseException,
                                                                             java.rmi.RemoteException

  Get the application view deployment descriptor for the given application view.

  Parameters:
    `appViewName` - The name of the application view to retrieve the deployment descriptor document for.
  Returns:
    The existing deployment descriptor.
  Throws:
    DeploymentException - If any communication error with the servlet occurs, or the retrieval fails for any reason.
    DocumentException - If any error occurs while manipulating the deployment descriptor document.
    DocumentParseException - If any error occurs while parsing the existing deployment descriptor document for return from this method.
    java.rmi.RemoteException - If an RMI communication error occurs.

### listDeployedAdapters

    public AdapterInfo[] listDeployedAdapters()
                                       throws DeploymentException,
                                              java.rmi.RemoteException

  List the deployed adapters in the system.

  Returns:
    An array of AdapterInfo objects that represent the adapters deployed in the system.
  Throws:
    DeploymentException - If the retrieval of the list fails in any way.
    java.rmi.RemoteException - If an RMI communication error occurs.

### getAdapterInfo

    public AdapterInfo getAdapterInfo(java.lang.String strAppName)
                               throws java.rmi.RemoteException

  Returns:
    the AdapterInfo for a given Application. This method is pretty forgiving in the sense that it doesn't assume the caller is certain that AdapterInfo is available for the given Application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)